#!/usr/bin/env perl
#
# $NetBSD: man-refs.pl,v 1.2 2006/01/29 02:29:35 rillig Exp $
#
# Adapted from:
# $FreeBSD: /repoman/r/dcvs/doc/share/sgml/man-refs.pl,v 1.1 2002/06/07 13:16:50 des Exp $

# usage:
#	find /usr/share/man -type f -print \
#	| man-refs.pl \
#	> man-refs.ent

use strict;
use warnings;

while (<>) {
	next unless (m,^(.*/)?([\w\._-]+)\.(\d\w*)(\.gz)?$,);
	my ($entity, $page, $volume) = ($2, $2, $3);
	$entity =~ y/_/./;
	print "<!ENTITY man.$entity.$volume \"<citerefentry>";
	print "<refentrytitle>$page</refentrytitle>";
	print "<manvolnum>$volume</manvolnum></citerefentry>\">\n";
}
