<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- html -*- -->
<!DOCTYPE xsl:stylesheet
  PUBLIC "-//NetBSD//DTD NetBSD XSLT 1.0 DTD//EN"
         "http://www.NetBSD.org/XML/htdocs/share/xml/xslt10-netbsd.dtd">

<!-- $NetBSD: netbsd.xsl,v 1.10 2006/03/07 14:53:37 mishka Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:html="http://www.w3.org/1999/xhtml"
                xmlns:suwl="http://nwalsh.com/xslt/ext/com.nwalsh.saxon.UnwrapLinks"
                xmlns:exsl="http://exslt.org/common"
                exclude-result-prefixes="html suwl exsl"
		version="1.0">

  <!-- beautify blocks of code -->
  <xsl:template match="programlisting|screen">
    <table class="programlisting">
      <tr><td><pre><xsl:apply-templates/></pre></td></tr>
    </table>
  </xsl:template>

  <!-- link to port index -->
  <xsl:template match="port">
    <a>
      <xsl:attribute name="href">
        <xsl:text>/Ports/</xsl:text><xsl:value-of select="."/>
        <xsl:text>/</xsl:text>
      </xsl:attribute>
      <xsl:value-of select="."/>
    </a>
  </xsl:template>

  <!-- link to gnats PR -->
  <xsl:template match="gnatspr">
    <a>
      <xsl:attribute name="href">
        <xsl:text>http://www.NetBSD.org/cgi-bin/query-pr-single.pl?number=</xsl:text>
        <xsl:value-of select="number"/>
      </xsl:attribute>
      <xsl:attribute name="class"><xsl:text>gnatspr</xsl:text></xsl:attribute>
      <xsl:value-of select="category"/><xsl:text>/</xsl:text>
      <xsl:value-of select="number"/>
    </a>
  </xsl:template>

  <xsl:template match="filename">
    <xsl:variable name="filename.label" select="." />

    <xsl:variable name="ulink.url">
      <xsl:choose>
	<xsl:when test="@role = 'cvsweb'">
	  <xsl:value-of select="concat('&url.cvsweb;', '/')" />
	  <xsl:if test="@path">
	    <xsl:value-of select="concat(@path, '/')" />
	  </xsl:if>
	  <xsl:value-of select="concat('', $filename.label)" />
	  <xsl:choose>
	    <xsl:when test="@revision != ''">
	      <xsl:value-of select="concat('?', 'rev=', @revision)" />
	    </xsl:when>
	    <xsl:otherwise>
	      <xsl:value-of select="concat('?', 'rev=', 'HEAD')" />
	    </xsl:otherwise>
	  </xsl:choose>
	  <xsl:value-of select="concat('&amp;', 'content-type=text/x-cvsweb-markup')" />
	</xsl:when>
	<xsl:when test="@role = 'pkg'">
	  <xsl:value-of select="concat('&url.pkg;', '/')" />
	  <xsl:value-of select="concat(normalize-space(.),
	                               '/&url.pkg.readme;')" />
	</xsl:when>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="link">
      <xsl:choose>
	<xsl:when test="@role = 'cvsweb' or @role = 'pkg'">
	  <a>
	    <xsl:if test="@id">
	      <xsl:attribute name="name">
		<xsl:value-of select="@id"/>
	      </xsl:attribute>
	    </xsl:if>
	    <xsl:attribute name="href"><xsl:value-of select="$ulink.url"/></xsl:attribute>
	    <xsl:if test="$ulink.target != ''">
	      <xsl:attribute name="target">
		<xsl:value-of select="$ulink.target"/>
	      </xsl:attribute>
	    </xsl:if>
	    <xsl:call-template name="inline.monoseq" />
	  </a>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:call-template name="inline.monoseq" />
	</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:choose>
      <xsl:when test="function-available('suwl:unwrapLinks')">
	<xsl:copy-of select="suwl:unwrapLinks($link)"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:copy-of select="$link"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
